Provides the ability to manage blogs and blog settings system-wide. Use this service to
get, create and delete blogs and blog posts, as well as manage comments, tags and attachents
on posts. You can also manage system-wide blog configuration, such as settings for ping services,
trackbacks, and comments.
Blogs are somewhat unlike other content in that blog posts contain the content,
but are "contained" in a blog. As a result, most configuration is done to blogs, while
many content actions (posting, for example, which involve titles and body content) are done
through blog posts.
Blog posts can be created and not published. Before they're published, they're available to their creator, who
might want to continue editing the post.
Configuration settings exposed by this service correspond to those a system administrator can make
in the admin console at Blogs > Settings > Blog Settings. Much of the blog content functionality
available here corresponds to the admin console at Blogs > Management.
| Method |
Description |
| addAttachmentToBlogPost |
Adds an attachment to the specified blog post. |
| addImageToBlogPost |
Adds an image to the specified blog post. |
| createBlog |
Creates a new blog. |
| createBlogPost |
Creates a new blog post. |
| deleteBlog |
Permanently deletes a blog and all of the posts and comments associated with it. |
| deleteBlogPost |
Permanently deletes a blog post and all of the comments associated with the it. |
| getAttachmentsByBlogPostID |
Returns an array of attachments for the specified blog post. |
| getBlog |
Returns a blog by blog name. |
| getBlog |
Returns a blog by its ID. |
| getBlogCount |
Returns the total number of blogs on this system. |
| getBlogCount |
Returns the total number of blogs on this system that match the criteria specified by the filter. |
| getBlogCountForUser |
Returns the count of all blogs associated with the specified user. |
| getBlogPost |
Returns a blog post by its ID. |
| getBlogPostCount |
Returns the number of blog posts on the system, by default only includes blog posts where status =
WSBlogPost.STATUS_PUBLISH
and publish date less than now.
|
| getBlogPostCount |
Returns the number of blog posts on the system. |
| getBlogPosts |
Returns all the blog posts that match the criteria specified by the filter. |
| getBlogsByDisplayName |
Returns all the blogs on this system whose display name is LIKE the given query. |
| getBlogsForUser |
Returns all blogs associated with the specified user. |
| getCommentCount |
Returns the number of comments on blog posts in the system. |
| getCommentCount |
Returns the number of blog post comments that match the criteria specified by the filter. |
| getComments |
Returns all the blog post comments that match the criteria specified by the filter. |
| getImagesByBlogPostID |
Returns an array of images that are attached to the specified blog post. |
| getPingServices |
Returns a comma-delimited list of available ping services for the system. |
| getRecentBlogs |
Returns up to ten of the most recent blogs created on this system. |
| getTags |
Returns all of the tags for blogs in the system. |
| getTags |
Returns all tags for blogs as constrained by the specified filter. |
| isBlogsEnabled |
Returns true if the blogs feature is turned on. |
| isCommentsEnabled |
Returns true if the comments feature is turned on. |
| isPingsEnabled |
Returns true if the pings feature is turned on. |
| isPingsOverrideEnabled |
Returns true if the system has been configured to allow users to override the ping URIs configured for the
system.
|
| isTrackbacksEnabled |
Returns true if the trackbacks feature is turned on. |
| publishBlogPost |
Publishes a blog post with the specified subject and body. |
| removeAttachment |
Removes the attachment with the supplied ID. |
| setBlogsEnabled |
Enables or disables the blogs feature. |
| setCommentsEnabled |
Enables or disables the comments feature system wide. |
| setPingServices |
Sets the comma-delimited list of available ping services for the system. |
| setPingsEnabled |
Enables or disables the pings feature system wide. |
| setPingsOverrideEnabled |
Configures the system to allow users to override the ping URIs configured for all blogs. |
| setTrackbacksEnabled |
Enables or disables the trackbacks feature system wide. |
| updateBlogPost |
Updates the specified blog post with what's contained in blogPost. |
| uploadAttachmentToBlogPost |
Uploads a new attachment to the specified blog post. |
| userHasBlogs |
Returns <tt>true</tt> if the specified user has one or more blogs; <tt>false</tt> if the user does not have a
blog.
|
addAttachmentToBlogPost
Adds an attachment to the specified blog post.
POST http://domain:port/application_context/rpc/rest/blogService/attachments
Arguments
| Name |
Type |
Description |
| blogPostID |
xs:long |
ID of the blog post. |
| name |
xs:string |
The name of the attachment. |
| contentTypes |
xs:string |
The content type of the attachment. |
| source |
xs:base64Binary |
The content for the attachment. |
Arguments Template
<addAttachmentToBlogPost>
<blogPostID>xs:long</blogPostID>
<name>xs:string</name>
<contentTypes>xs:string</contentTypes>
<!-- List of ... -->
<source>xs:base64Binary</source>
</addAttachmentToBlogPost>Errors
| Error |
When Returned |
| com.jivesoftware.community.AttachmentException |
If the attachment cannot be created. |
| com.jivesoftware.community.BlogPostNotFoundException |
If the specified blog post does not exist. |
| java.io.IOException |
If there are issues adding the blog post. |
| Unauthorized |
If the caller is not allowed to get the blog post. |
addImageToBlogPost
Adds an image to the specified blog post.
POST http://domain:port/application_context/rpc/rest/blogService/images
Arguments
| Name |
Type |
Description |
| blogPostID |
xs:long |
ID of the blog post. |
| name |
xs:string |
The name of the image. |
| contentTypes |
xs:string |
The content type of the image. |
| source |
xs:base64Binary |
The content for the image. |
Arguments Template
<addImageToBlogPost>
<blogPostID>xs:long</blogPostID>
<name>xs:string</name>
<contentTypes>xs:string</contentTypes>
<!-- List of ... -->
<source>xs:base64Binary</source>
</addImageToBlogPost>Errors
| Error |
When Returned |
| com.jivesoftware.community.ImageException |
If the image cannot be created. |
| com.jivesoftware.community.BlogPostNotFoundException |
If the specified blog post does not exist. |
| java.io.IOException |
If there are issues adding the blog post. |
| Unauthorized |
If not allowed to create images. |
createBlog
Creates a new blog. Use the following guidelines for parameter values:
- The userID must be a registered user in the application.
- The blogName will be the title displayed on blog post pages and in content lists.
- The displayName will be used in the blog's URI. It can only contain alphanumeric characters, periods, dashes
and underscores, and may not start with any of the reserved blog system names.
POST http://domain:port/application_context/rpc/rest/blogService/blogs
Arguments
| Name |
Type |
Description |
| userID |
xs:long |
ID of the user creating the blog. |
| blogName |
xs:string |
The blog's name. |
| displayName |
xs:string |
The blog's display name. |
Arguments Template
<createBlog>
<userID>xs:long</userID>
<blogName>xs:string</blogName>
<displayName>xs:string</displayName>
</createBlog>Response
| Type |
Description |
| Blog |
The new blog. |
Response Template
<createBlogResponse>
<return>
<!-- Contents of Blog -->
<return>
</createBlogResponse>Errors
| Error |
When Returned |
| UserNotFound |
If the userID does not correspond to a user on the system. |
| Unauthorized |
If the caller is not allowed to create a blog, is not a system administrator, or
is not a community administrator.
|
createBlogPost
Creates a new blog post. The post must be separate published in order to be viewable by the community.
POST http://domain:port/application_context/rpc/rest/blogService/blogPosts
Arguments
| Name |
Type |
Description |
| subject |
xs:string |
The blog post's subject, which will appear as the post's title. |
| body |
xs:string |
The post's content. |
| blogID |
xs:long |
ID of the blog to post to. |
| userID |
xs:long |
ID of the user creating the blog post. |
Arguments Template
<createBlogPost>
<subject>xs:string</subject>
<body>xs:string</body>
<blogID>xs:long</blogID>
<userID>xs:long</userID>
</createBlogPost>Response
| Type |
Description |
| BlogPost |
The new blog post. |
Response Template
<createBlogPostResponse>
<return>
<!-- Contents of BlogPost -->
<return>
</createBlogPostResponse>Errors
| Error |
When Returned |
| UserNotFound |
If the userID does not correspond to a user on the system. |
| com.jivesoftware.community.BlogNotFoundException |
If the blogID does not correspond to a blog on the
system.
|
| com.jivesoftware.community.RejectedException |
If the post could not be published. |
| Unauthorized |
If the caller is not allowed to create a blog, is not a system administrator or
not a community administrator.
|
deleteBlog
Permanently deletes a blog and all of the posts and comments associated with it.
DELETE http://domain:port/application_context/rpc/rest/blogService/blogs/{blogID}
Arguments
| Name |
Type |
Description |
| blogID |
xs:long |
ID of the blog to delete. |
Arguments Template
<deleteBlog>
<blogID>xs:long</blogID>
</deleteBlog>Errors
| Error |
When Returned |
| com.jivesoftware.community.BlogNotFoundException |
If the blog could not be loaded or does not exist. |
| Unauthorized |
If the caller is not a system administrator or community administrator. |
deleteBlogPost
Permanently deletes a blog post and all of the comments associated with the it.
DELETE http://domain:port/application_context/rpc/rest/blogService/blogPosts/{blogPostID}
Arguments
| Name |
Type |
Description |
| blogPostID |
xs:long |
ID of the blog post to delete. |
Arguments Template
<deleteBlogPost>
<blogPostID>xs:long</blogPostID>
</deleteBlogPost>Errors
| Error |
When Returned |
| com.jivesoftware.community.BlogPostNotFoundException |
If the blog post could not be loaded or does not
exist.
|
| Unauthorized |
If the caller is not a system administrator or community administrator. |
getAttachmentsByBlogPostID
Returns an array of attachments for the specified blog post.
GET http://domain:port/application_context/rpc/rest/blogService/attachments/{blogPostID}
Arguments
| Name |
Type |
Description |
| blogPostID |
xs:long |
ID of the blog post to acquire attachments for. |
Arguments Template
<getAttachmentsByBlogPostID>
<blogPostID>xs:long</blogPostID>
</getAttachmentsByBlogPostID>Response
| Type |
Description |
| List of
Attachment |
A list of attachments from the specified blog post. |
Response Template
<getAttachmentsByBlogPostIDResponse>
<!-- List of ... -->
<return>
<!-- Contents of Attachment -->
<return>
</getAttachmentsByBlogPostIDResponse>Errors
| Error |
When Returned |
| com.jivesoftware.community.BlogPostNotFoundException |
If the specified blog post does not exist. |
| Unauthorized |
If the caller does not have permission to retrieve
attachments.
|
getBlog
Returns a blog by its ID.
GET http://domain:port/application_context/rpc/rest/blogService/blogsByID/{blogID}
Arguments
| Name |
Type |
Description |
| blogID |
xs:long |
ID of the blog to return. |
Arguments Template
<getBlog>
<blogID>xs:long</blogID>
</getBlog>Response
| Type |
Description |
| Blog |
The blog. |
Response Template
<getBlogResponse>
<return>
<!-- Contents of Blog -->
<return>
</getBlogResponse>Errors
| Error |
When Returned |
| com.jivesoftware.community.BlogNotFoundException |
If the blog could not be loaded or does not exist. |
| Unauthorized |
If the caller is not allowed to get the blog. |
getBlog
Returns a blog by blog name.
GET http://domain:port/application_context/rpc/rest/blogService/blogsByName/{blogName}
Arguments
| Name |
Type |
Description |
| blogName |
xs:string |
The displayName of the blog to return. |
Arguments Template
<getBlog>
<blogName>xs:string</blogName>
</getBlog>Response
| Type |
Description |
| Blog |
The blog. |
Response Template
<getBlogResponse>
<return>
<!-- Contents of Blog -->
<return>
</getBlogResponse>Errors
| Error |
When Returned |
| com.jivesoftware.community.BlogNotFoundException |
If the blog could not be loaded or does not exist. |
| Unauthorized |
If the caller is not allowed to get the blog. |
getBlogCount
Returns the total number of blogs on this system.
GET http://domain:port/application_context/rpc/rest/blogService/blogCount
Response
| Type |
Description |
| xs:int |
The total number of blogs on this system. |
Response Template
<getBlogCountResponse>
<return>xs:int</return>
</getBlogCountResponse>getBlogCount
Returns the total number of blogs on this system that match the criteria specified by the filter. The
filter provides a way to specify blog characteristics that constrain the results you receive.
POST http://domain:port/application_context/rpc/rest/blogService/blogCount
Arguments
| Name |
Type |
Description |
| filter |
Contents of BlogResultFilter
|
A filter with criteria to constrain the resulting list of blogs. |
Arguments Template
<getBlogCount>
<filter>
<!-- Contents of BlogResultFilter -->
<filter>
</getBlogCount>Response
| Type |
Description |
| List of
Blog |
A list of blogs matching the criteria specified by the filter. |
Response Template
<getBlogCountResponse>
<!-- List of ... -->
<return>
<!-- Contents of Blog -->
<return>
</getBlogCountResponse>getBlogCountForUser
Returns the count of all blogs associated with the specified user.
GET http://domain:port/application_context/rpc/rest/blogService/userBlogCount/{userID}
Arguments
| Name |
Type |
Description |
| userID |
xs:long |
ID of the user to find blogs for. |
Arguments Template
<getBlogCountForUser>
<userID>xs:long</userID>
</getBlogCountForUser>Response
| Type |
Description |
| xs:int |
The count of all blogs associated with the user. |
Response Template
<getBlogCountForUserResponse>
<return>xs:int</return>
</getBlogCountForUserResponse>Errors
| Error |
When Returned |
| UserNotFound |
If userID does not correspond to a user in the system. |
getBlogPost
Returns a blog post by its ID.
GET http://domain:port/application_context/rpc/rest/blogService/blogPosts/{blogPostID}
Arguments
| Name |
Type |
Description |
| blogPostID |
xs:long |
ID of the blog post to return. |
Arguments Template
<getBlogPost>
<blogPostID>xs:long</blogPostID>
</getBlogPost>Response
| Type |
Description |
| BlogPost |
The blog post. |
Response Template
<getBlogPostResponse>
<return>
<!-- Contents of BlogPost -->
<return>
</getBlogPostResponse>Errors
| Error |
When Returned |
| com.jivesoftware.community.BlogPostNotFoundException |
If the blog post could not be loaded or does not
exist.
|
| Unauthorized |
If the caller is not allowed to get the blog. |
getBlogPostCount
Returns the number of blog posts on the system, by default only includes blog posts where status =
2 (STATUS_PUBLISH)
and publish date less than now.
GET http://domain:port/application_context/rpc/rest/blogService/blogPostCount
Response
| Type |
Description |
| xs:int |
The number of blog posts on the system. |
Response Template
<getBlogPostCountResponse>
<return>xs:int</return>
</getBlogPostCountResponse>getBlogPostCount
Returns the number of blog posts on the system. The default blog post result filter only includes
blog posts whose status is
BlogPost
and publish
date less than now().
POST http://domain:port/application_context/rpc/rest/blogService/blogPostCount
Arguments
| Name |
Type |
Description |
| filter |
Contents of BlogPostResultFilter
|
The result filter with criteria to filter the blog posts. |
Arguments Template
<getBlogPostCount>
<filter>
<!-- Contents of BlogPostResultFilter -->
<filter>
</getBlogPostCount>Response
| Type |
Description |
| xs:int |
The number of blog posts matching the criteria specified by the filter. |
Response Template
<getBlogPostCountResponse>
<return>xs:int</return>
</getBlogPostCountResponse>getBlogPosts
Returns all the blog posts that match the criteria specified by the filter. The
filter provides a way to specify blog post characteristics that constrain the results
you receive.
POST http://domain:port/application_context/rpc/rest/blogService/blogsPostsWithFilter
Arguments
| Name |
Type |
Description |
| filter |
Contents of BlogPostResultFilter
|
A filter with criteria to constrain the list of blog posts. |
Arguments Template
<getBlogPosts>
<filter>
<!-- Contents of BlogPostResultFilter -->
<filter>
</getBlogPosts>Response
| Type |
Description |
| List of
BlogPost |
All the blog posts that match the filter. |
Response Template
<getBlogPostsResponse>
<!-- List of ... -->
<return>
<!-- Contents of BlogPost -->
<return>
</getBlogPostsResponse>getBlogsByDisplayName
Returns all the blogs on this system whose display name is LIKE the given query. Using this method is
a way of executing an SQL query with a LIKE clause that takes the value of the query parameter. In
other words, the query parameter isn't a full query string, but rather a string representing the display name
text you're trying to match.
NOTE: This method is designed only to be used only by administrators for administration purposes and will throw
an UnauthorizedException if the calling user is not a system administrator.
GET http://domain:port/application_context/rpc/rest/blogService/blogsByDisplayName/{query}/{startIndex}/{endIndex}/{numResults}
Arguments
| Name |
Type |
Description |
| query |
xs:string |
A string with which to search blog display names. |
| startIndex |
xs:int |
Starting index to grab blogs. |
| endIndex |
xs:int |
Ending index to grab blogs. |
| numResults |
xs:int |
Total number of results to grab. |
Arguments Template
<getBlogsByDisplayName>
<query>xs:string</query>
<startIndex>xs:int</startIndex>
<endIndex>xs:int</endIndex>
<numResults>xs:int</numResults>
</getBlogsByDisplayName>Response
| Type |
Description |
| List of
Blog |
All the blogs whose display name is LIKE the given query. |
Response Template
<getBlogsByDisplayNameResponse>
<!-- List of ... -->
<return>
<!-- Contents of Blog -->
<return>
</getBlogsByDisplayNameResponse>getBlogsForUser
Returns all blogs associated with the specified user.
GET http://domain:port/application_context/rpc/rest/blogService/userBlogs/{userID}
Arguments
| Name |
Type |
Description |
| userID |
xs:long |
ID of the user to find blogs for. |
Arguments Template
<getBlogsForUser>
<userID>xs:long</userID>
</getBlogsForUser>Response
| Type |
Description |
| List of
Blog |
All blogs associated with the user. |
Response Template
<getBlogsForUserResponse>
<!-- List of ... -->
<return>
<!-- Contents of Blog -->
<return>
</getBlogsForUserResponse>Errors
| Error |
When Returned |
| UserNotFound |
If userID does not correspond to a user in the system. |
Returns the number of comments on blog posts in the system.
GET http://domain:port/application_context/rpc/rest/blogService/commentCount
Response
| Type |
Description |
| xs:int |
The number of comments on blog posts in the system. |
Response Template
<getCommentCountResponse>
<return>xs:int</return>
</getCommentCountResponse>Returns the number of blog post comments that match the criteria specified by the filter.
POST http://domain:port/application_context/rpc/rest/blogService/commentCountWithFilter
Arguments
| Name |
Type |
Description |
| filter |
Contents of FeedbackResultFilter
|
A filter with criteria to constrain the number of comments. |
Arguments Template
<getCommentCount>
<filter>
<!-- Contents of FeedbackResultFilter -->
<filter>
</getCommentCount>Response
| Type |
Description |
| xs:int |
The number of blog post comments that match the criteria specified by the filter. |
Response Template
<getCommentCountResponse>
<return>xs:int</return>
</getCommentCountResponse>Returns all the blog post comments that match the criteria specified by the filter.
POST http://domain:port/application_context/rpc/rest/blogService/commentsWithFilter
Arguments
| Name |
Type |
Description |
| filter |
Contents of FeedbackResultFilter
|
A filter with criteria to constrain the list of comments. |
Arguments Template
<getComments>
<filter>
<!-- Contents of FeedbackResultFilter -->
<filter>
</getComments>Response
| Type |
Description |
| List of
Comment |
All the comments that match the filter. |
Response Template
<getCommentsResponse>
<!-- List of ... -->
<return>
<!-- Contents of Comment -->
<return>
</getCommentsResponse>getImagesByBlogPostID
Returns an array of images that are attached to the specified blog post.
GET http://domain:port/application_context/rpc/rest/blogService/images/{blogPostID}
Arguments
| Name |
Type |
Description |
| blogPostID |
xs:long |
ID of the blog post to acquire images for. |
Arguments Template
<getImagesByBlogPostID>
<blogPostID>xs:long</blogPostID>
</getImagesByBlogPostID>Response
| Type |
Description |
| List of
Image |
A list of images that are attached to the specified blog post. |
Response Template
<getImagesByBlogPostIDResponse>
<!-- List of ... -->
<return>
<!-- Contents of Image -->
<return>
</getImagesByBlogPostIDResponse>Errors
| Error |
When Returned |
| com.jivesoftware.community.BlogPostNotFoundException |
If the specified blog post does not exist. |
| Unauthorized |
If not allowed to get the blog post. |
getPingServices
Returns a comma-delimited list of available ping services for the system.
GET http://domain:port/application_context/rpc/rest/blogService/pingServices
Response
| Type |
Description |
|
A comma-delimited list of available ping services for the system. |
Response Template
<getPingServicesResponse>
<return>xs:string</return>
</getPingServicesResponse>getRecentBlogs
Returns up to ten of the most recent blogs created on this system.
GET http://domain:port/application_context/rpc/rest/blogService/recentBlogs
Response
| Type |
Description |
| List of
Blog |
A list of up to ten of the most recent blogs created on this system. |
Response Template
<getRecentBlogsResponse>
<!-- List of ... -->
<return>
<!-- Contents of Blog -->
<return>
</getRecentBlogsResponse>getTags
Returns all of the tags for blogs in the system.
GET http://domain:port/application_context/rpc/rest/blogService/tags
Response
| Type |
Description |
| List of
TagCount |
A list of the tags for blogs in the system. |
Response Template
<getTagsResponse>
<!-- List of ... -->
<return>
<!-- Contents of TagCount -->
<return>
</getTagsResponse>getTags
Returns all tags for blogs as constrained by the specified filter. Use the filter
to specify which tags should be returned and how they should be returned.
POST http://domain:port/application_context/rpc/rest/blogService/tags
Arguments
| Name |
Type |
Description |
| filter |
Contents of BlogTagResultFilter
|
The filter to use to restrict tag results. |
Arguments Template
<getTags>
<filter>
<!-- Contents of BlogTagResultFilter -->
<filter>
</getTags>Response
| Type |
Description |
| List of
TagCount |
All tags for blogs in the system filtered by the specified filter. |
Response Template
<getTagsResponse>
<!-- List of ... -->
<return>
<!-- Contents of TagCount -->
<return>
</getTagsResponse>isBlogsEnabled
Returns true if the blogs feature is turned on. When blogs are disabled, other blog-related operations
are no-ops.
GET http://domain:port/application_context/rpc/rest/blogService/blogsEnabled
Response
| Type |
Description |
| xs:boolean |
true if the blogs are enabled; otherwise false. |
Response Template
<isBlogsEnabledResponse>
<return>xs:boolean</return>
</isBlogsEnabledResponse>Returns true if the comments feature is turned on. When comments are disabled on the system, all individual blog
comment settings are disabled as well.
GET http://domain:port/application_context/rpc/rest/blogService/commentsEnabled
Response
| Type |
Description |
| xs:boolean |
true if the comments are enabled; false if they're disabled. |
Response Template
<isCommentsEnabledResponse>
<return>xs:boolean</return>
</isCommentsEnabledResponse>isPingsEnabled
Returns true if the pings feature is turned on. When pings are disabled on the system, all individual blog ping
settings are disabled as well.
GET http://domain:port/application_context/rpc/rest/blogService/pingsEnabled
Response
| Type |
Description |
| xs:boolean |
true if pings are enabled; false if they're disabled. |
Response Template
<isPingsEnabledResponse>
<return>xs:boolean</return>
</isPingsEnabledResponse>isPingsOverrideEnabled
Returns true if the system has been configured to allow users to override the ping URIs configured for the
system.
GET http://domain:port/application_context/rpc/rest/blogService/pingsOverrideEnabled
Response
| Type |
Description |
| xs:boolean |
true if users can provide their own ping URIs; false if they can't. |
Response Template
<isPingsOverrideEnabledResponse>
<return>xs:boolean</return>
</isPingsOverrideEnabledResponse>isTrackbacksEnabled
Returns true if the trackbacks feature is turned on. When trackbacks are disabled on the system, all individual
blog trackback settings are disabled as well.
GET http://domain:port/application_context/rpc/rest/blogService/trackbacksEnabled
Response
| Type |
Description |
| xs:boolean |
true if the trackbacks are enabled; false if they're disabled. |
Response Template
<isTrackbacksEnabledResponse>
<return>xs:boolean</return>
</isTrackbacksEnabledResponse>publishBlogPost
Publishes a blog post with the specified subject and body.
POST http://domain:port/application_context/rpc/rest/blogService/publishBlogPost
Arguments
| Name |
Type |
Description |
| subject |
xs:string |
The post's subject, which will appear as its title. |
| body |
xs:string |
The post's content. |
| blogID |
xs:long |
ID of the blog to publish in. |
| userID |
xs:long |
ID of the user publishing the post. |
Arguments Template
<publishBlogPost>
<subject>xs:string</subject>
<body>xs:string</body>
<blogID>xs:long</blogID>
<userID>xs:long</userID>
</publishBlogPost>Response
| Type |
Description |
| BlogPost |
The published post. |
Response Template
<publishBlogPostResponse>
<return>
<!-- Contents of BlogPost -->
<return>
</publishBlogPostResponse>Errors
| Error |
When Returned |
| UserNotFound |
If userID doesn't belong to user on the system. |
| com.jivesoftware.community.BlogNotFoundException |
If blogID doesn't correspond to a blog on the system. |
| com.jivesoftware.community.RejectedException |
If the post could not be published. |
| Unauthorized |
If the caller is not allowed to create a blog, is not a system administrator or
not a community administrator.
|
removeAttachment
Removes the attachment with the supplied ID. Only administrators or the blog's creator
are allowed to call this method.
DELETE http://domain:port/application_context/rpc/rest/blogService/attachments/{attachmentID}
Arguments
| Name |
Type |
Description |
| attachmentID |
xs:long |
ID of the attachment to remove. |
Arguments Template
<removeAttachment>
<attachmentID>xs:long</attachmentID>
</removeAttachment>Errors
| Error |
When Returned |
| com.jivesoftware.community.AttachmentNotFoundException |
If the attachment with the specified id
does not exist.
|
| com.jivesoftware.community.AttachmentException |
If there is a problem deleting the attachment. |
| Unauthorized |
If not authorized to delete the attachment. |
setBlogsEnabled
Enables or disables the blogs feature. When blogs are disabled, other blog-related operations are no-ops.
POST http://domain:port/application_context/rpc/rest/blogService/blogsEnabled
Arguments
| Name |
Type |
Description |
| blogsEnabled |
xs:boolean |
true to enable the blogs feature; false to disable it. |
Arguments Template
<setBlogsEnabled>
<blogsEnabled>xs:boolean</blogsEnabled>
</setBlogsEnabled>Errors
| Error |
When Returned |
| Unauthorized |
If the caller is not a system administrator. |
Enables or disables the comments feature system wide.
POST http://domain:port/application_context/rpc/rest/blogService/commentsEnabled
Arguments
| Name |
Type |
Description |
| commentsEnabled |
xs:boolean |
true to enable the comments feature; false to disable it. |
Arguments Template
<setCommentsEnabled>
<commentsEnabled>xs:boolean</commentsEnabled>
</setCommentsEnabled>Errors
| Error |
When Returned |
| Unauthorized |
If the caller is not a system administrator. |
setPingServices
Sets the comma-delimited list of available ping services for the system.
POST http://domain:port/application_context/rpc/rest/blogService/pingServices
Arguments
| Name |
Type |
Description |
| services |
xs:string |
A comma-delimited list of available ping services for the system. |
Arguments Template
<setPingServices>
<services>xs:string</services>
</setPingServices>Errors
| Error |
When Returned |
| Unauthorized |
If the caller is not a system administrator. |
setPingsEnabled
Enables or disables the pings feature system wide.
POST http://domain:port/application_context/rpc/rest/blogService/pingsEnabled
Arguments
| Name |
Type |
Description |
| pingsEnabled |
xs:boolean |
true to enable the ping feature; false to disable it. |
Arguments Template
<setPingsEnabled>
<pingsEnabled>xs:boolean</pingsEnabled>
</setPingsEnabled>Errors
| Error |
When Returned |
| Unauthorized |
If the caller is not a system administrator. |
setPingsOverrideEnabled
Configures the system to allow users to override the ping URIs configured for all blogs.
POST http://domain:port/application_context/rpc/rest/blogService/pingsOverrideEnabled
Arguments
| Name |
Type |
Description |
| pingsOverrideEnabled |
xs:boolean |
true to enable users to override the system settings; false to use system settings. |
Arguments Template
<setPingsOverrideEnabled>
<pingsOverrideEnabled>xs:boolean</pingsOverrideEnabled>
</setPingsOverrideEnabled>Errors
| Error |
When Returned |
| Unauthorized |
If the caller is not a system administrator. |
setTrackbacksEnabled
Enables or disables the trackbacks feature system wide.
POST http://domain:port/application_context/rpc/rest/blogService/trackbacksEnabled
Arguments
| Name |
Type |
Description |
| trackbacksEnabled |
xs:boolean |
true to enable the trackback feature; false to disable it. |
Arguments Template
<setTrackbacksEnabled>
<trackbacksEnabled>xs:boolean</trackbacksEnabled>
</setTrackbacksEnabled>Errors
| Error |
When Returned |
| Unauthorized |
If the caller is not a system administrator. |
updateBlogPost
Updates the specified blog post with what's contained in blogPost.
PUT http://domain:port/application_context/rpc/rest/blogService/blogPosts
Arguments
| Name |
Type |
Description |
| blogPost |
Contents of BlogPost
|
The post containing the data to update with. |
Arguments Template
<updateBlogPost>
<blogPost>
<!-- Contents of BlogPost -->
<blogPost>
</updateBlogPost>Errors
| Error |
When Returned |
| com.jivesoftware.community.BlogPostNotFoundException |
If the specified blog post could not be found. |
| Unauthorized |
If the caller is not allowed to create a blog, is not a system administrator or
not a community administrator.
|
uploadAttachmentToBlogPost
Uploads a new attachment to the specified blog post.
POST http://domain:port/application_context/rpc/rest/blogService/attachmentUpload
Arguments
| Name |
Type |
Description |
| blogPostID |
xs:long |
ID of the blog post. |
| name |
xs:string |
The name of the attachment. |
| contentTypes |
xs:string |
The content type of the attachment. |
| source |
xs:base64Binary |
The content for the attachment. |
Arguments Template
<uploadAttachmentToBlogPost>
<blogPostID>xs:long</blogPostID>
<name>xs:string</name>
<contentTypes>xs:string</contentTypes>
<!-- List of ... -->
<source>xs:base64Binary</source>
</uploadAttachmentToBlogPost>Response
Response Template
<uploadAttachmentToBlogPostResponse>
<return>
<!-- Contents of Attachment -->
<return>
</uploadAttachmentToBlogPostResponse>Errors
| Error |
When Returned |
| com.jivesoftware.community.AttachmentException |
If the attachment cannot be created. |
| com.jivesoftware.community.BlogPostNotFoundException |
If the specified blog post does not exist. |
| java.io.IOException |
If there are issues adding the blog post. |
| Unauthorized |
If the caller is not allowed to get the blog post. |
userHasBlogs
Returns
true if the specified user has one or more blogs;
false if the user does not have a
blog.
GET http://domain:port/application_context/rpc/rest/blogService/userHasBlogs
Arguments
| Name |
Type |
Description |
| userID |
xs:long |
ID of the user who might have a blog. |
Arguments Template
<userHasBlogs>
<userID>xs:long</userID>
</userHasBlogs>Response
| Type |
Description |
| xs:boolean |
true if the given user has one or more blogs; false if the user does not have a blog. |
Response Template
<userHasBlogsResponse>
<return>xs:boolean</return>
</userHasBlogsResponse>Errors
| Error |
When Returned |
| UserNotFound |
If userID does not correspond to a user in the system. |